package net.minecraft.src;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

//This class holds multiple triple short arrays used for designating build coordinates.  Floors are shown from top view.

public class BLDRBlueprints {
	public static ArrayList<ArrayList<ArrayList<ArrayList<Short>>>> singlePrints;
	public static List<String> singlePrintNames;
	
	//Guild related
	public static ArrayList<ArrayList<ArrayList<ArrayList<Short>>>> guildStorageHouse;
	public static ArrayList<ArrayList<ArrayList<ArrayList<Short>>>> guildRestHouse;
	public static ArrayList<ArrayList<ArrayList<ArrayList<Short>>>> guildMiningHouse;
	
    //special blueprints
    private static ArrayList<Short> homeSeekerHutIndexes;
    private static ArrayList<Short> explorerFancyBeaconIndexes;
    
    //special blueprints
    private static short explorerSingleBlockIndex;
    private static short traderBakerShopIndex;
    
    public static void initSpecial(){
        homeSeekerHutIndexes = new ArrayList<Short>();
    	explorerFancyBeaconIndexes = new ArrayList<Short>();
    	explorerSingleBlockIndex = -1;
    	traderBakerShopIndex = -1;
    }
    
    public static boolean setSpecialPrint(String txt, int index){
    	if(txt.startsWith("hut")){
    		homeSeekerHutIndexes.add((short) index);
    		return true;
    	}
    	else if(txt.equals("single block")){
    		explorerSingleBlockIndex = (short) index;
    		return true;
    	}
    	else if(txt.startsWith("fancy beacon")){
    		explorerFancyBeaconIndexes.add((short) index);
    		return true;
    	}
    	else if(txt.equals("small shop")){
    		traderBakerShopIndex = (short) index;
    		return true;
    	}
    	return false;
    }
    
    public static short getSmallShopIndex(){
    	return traderBakerShopIndex;
    }
    
    public static short getSingleBlockIndex(){
    	return explorerSingleBlockIndex;
    }
    
    public static short getFancyBeaconIndex(){
    	return explorerFancyBeaconIndexes.size() < 1 ? -1 : explorerFancyBeaconIndexes.get(ModLoader.getMinecraftInstance().theWorld.rand.nextInt(explorerFancyBeaconIndexes.size()));
    }
    
    public static short getHutIndex(){
    	return homeSeekerHutIndexes.size() < 1 ? -1 : homeSeekerHutIndexes.get(ModLoader.getMinecraftInstance().theWorld.rand.nextInt(homeSeekerHutIndexes.size()));
    }
    
    public static boolean isSmallShopIndex(int i){
    	return i == getSmallShopIndex();
    }
    
    public static boolean isSingleBlockIndex(int i){
    	return i == getSingleBlockIndex();
    }
}

