package net.minecraft.src;

import org.lwjgl.input.Keyboard;

public class BLDRGui extends GuiScreen{
	public BLDRGui(BLDREntityBuilder b)
    {
        builder = b;
    }

    public void updateScreen()
    {
        builder.guiScreenUpdate(this);
    }

    @SuppressWarnings("unchecked")
	public void initGui()
    {
        Keyboard.enableRepeatEvents(true);
        controlList.clear();
        builder.initGui(this);
    }

    public void onGuiClosed()
    {
        Keyboard.enableRepeatEvents(false);
    }

    protected void actionPerformed(GuiButton guibutton)
    {
        if(!guibutton.enabled)
        {
            return;
        }
        builder.actionPerformed(this, guibutton);
    }

    protected void keyTyped(char c, int i)
    {
        builder.keyTyped(c, i, this);
    }

    public boolean doesGuiPauseGame()
    {
        return true;
    }

    protected void mouseClicked(int i, int j, int k)
    {
        super.mouseClicked(i, j, k);
        builder.mouseClicked(i, j, k, this);
    }

    public void drawScreen(int i, int j, float f)
    {
    	builder.drawScreen(i, j, f, this);
        super.drawScreen(i, j, f);
    }

    private BLDREntityBuilder builder;
    public GuiTextField[] textfields;
    public boolean isSaving;
}
